---

jupyter: # pw: letscode.00
  host: himbeere
  fqdn: code.cere.duckdns.org
  docker:
    build: jupyter
    ports: 17888:80
    volumes:
      - /opt/fast/jupyter/notebooks:/root/notebooks
      - /opt/fast/jupyter/config:/root/.local
      - /opt/fast/jupyter/config_root:/root/.jupyter

domoticz:
  host: himbeere
  fqdn: domo.cere.duckdns.org
  docker:
    build: domoticz
    image: domoticz
    volumes:
      - /etc/localtime:/etc/localtime
      - /opt/fast/domoticz/domoticz.db:/root/domoticz/domoticz.db
    #ports: 8080:8080
    devices: /dev/ttyUSB0

netdata:
  host: himbeere
  #~ fqdn: netdata.cere.duckdns.org
  docker:
    hostname: himbeere
    build: netdata
    # image: reneluria/netdata
    cap_add: SYS_PTRACE
    volumes:
    - /proc:/host/proc:ro
    - /sys:/host/sys:ro
    - /var/run/docker.sock:/var/run/docker.sock
    ports: 0.0.0.0:19999:19999

# https://github.com/mkueper/rpi-svn/blob/master/Dockerfile
svn:
  host: himbeere
  docker:
    build: svn
    volumes:
      - /opt/fast/svn:/var/svn
    ports: 3690:3690
    stop_signal: SIGKILL

ngp:
  host: himbeere
  docker:
    - name: nginx-proxy
      build: ngp
      ports: 192.168.178.43:1080:80, 192.168.178.43:1443:443
      volumes:
        - /usr/share/nginx/html
        - /opt/fast/nginx/htpasswd:/etc/nginx/htpasswd \
        - /var/run/docker.sock:/tmp/docker.sock:ro
        - /opt/fast/nginx/certs:/etc/nginx/certs:ro
        # see https://github.com/jwilder/nginx-proxy#per-virtual_host
        - /opt/fast/nginx/vhost.d:/etc/nginx/vhost.d:ro

      commands:
        nginx_conf:
          method: exec
          cmd: cat /etc/nginx/conf.d/default.conf
          docs: show dockergen-generated config

    - name: ngp_le
      build: ngp_le
      volumes_from: nginx-proxy
      volumes:
        - /opt/fast/nginx/certs:/etc/nginx/certs:rw
        - /var/run/docker.sock:/var/run/docker.sock:ro
        - /opt/fast/nginx/vhost.d:/etc/nginx/vhost.d:rw

#~ nexus:
  #~ host: himbeere
  #~ docker:
    #~ build: nexus
    #~ volumes:
      #~ - /etc/localtime:/etc/localtime
      #~ - /opt/fast/nexus:/opt/sonatype-work
    #~ ports: 1381:8081

#~ pypy:
  #~ host: himbeere
  #~ docker:
    #~ build: pypy
    #~ volumes:
      #~ - /etc/localtime:/etc/localtime

rsync:
  host: himbeere
  docker:
    build: rsync
    volumes:
      - /etc/localtime:/etc/localtime
      - /mnt/ssdext/docker_fast_volumes:/opt/from
      - /mnt/hddext/backup:/opt/to

gogs:
  host: himbeere
  fqdn: git.cere.duckdns.org
  docker:
    image: gogs/gogs-rpi
    volumes: /opt/fast/gogs:/data
    ports: 3022:22
    env:
      VIRTUAL_PORT: 3000

graphite:
  host: himbeere
  docker:
    build: graphite
    #~ image: abarbanell/docker-grafana-graphite
    volumes:
      - /opt/fast/graphite/whisper:/opt/graphite/storage/whisper
      - /opt/fast/graphite/logs:/var/log/supervisor
    ports:
      - 13080:8000
      - 8125:8125/udp
      - 8126:8126

alexa:
  fqdn: alexa.cere.duckdns.org
  host: himbeere
  docker:
    build: alexa

